Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

  1. #1

    Default the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

    good day dear experts


    the Installation of Python Pandas on OpenSuse 42.3 does not work correctly - i guess that i struggle with some bad bad errors..

    see the following issues and the protocol :


    Code:
      Downloading pandas-0.22.0.tar.gz (11.3MB)
        100% |████████████████████████████████| 11.3MB 62kB/s 
        Complete output from command python setup.py egg_info:
        non-existing path in 'numpy/distutils': 'site.cfg'
        Could not locate executable gfortran
        Could not locate executable f95
        Could not locate executable ifort
        Could not locate executable ifc
        Could not locate executable lf95
        Could not locate executable pgfortran
        Could not locate executable f90
        Could not locate executable f77
        Could not locate executable fort
        Could not locate executable efort
        Could not locate executable efc
        Could not locate executable g77
        Could not locate executable g95
        Could not locate executable pathf95
        Could not locate executable nagfor
        don't know how to compile Fortran code on platform 'posix'
        Running from numpy source directory.                                                                                                                                                        
        /tmp/easy_install-j3aosykh/numpy-1.14.1/setup.py:369: UserWarning: Unrecognized setuptools command, proceeding with generating Cython sources and expanding templates                       
          run_build = parse_setuppy_commands()                                                                                                                                                      
        /usr/lib64/python3.4/distutils/dist.py:260: UserWarning: Unknown distribution option: 'python_requires'                                                                                     
          warnings.warn(msg)                                                                                                                                                                        
        /tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/system_info.py:624: UserWarning:
            Atlas (http://math-atlas.sourceforge.net/) libraries not found.
            Directories to search for the libraries can be specified in the
            numpy/distutils/site.cfg file (section [atlas]) or by setting
            the ATLAS environment variable.
          self.calc_info()
        /tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/system_info.py:624: UserWarning:
            Blas (http://www.netlib.org/blas/) libraries not found.
            Directories to search for the libraries can be specified in the
            numpy/distutils/site.cfg file (section [blas]) or by setting
            the BLAS environment variable.
          self.calc_info()
        /tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/system_info.py:624: UserWarning:
            Blas (http://www.netlib.org/blas/) sources not found.
            Directories to search for the sources can be specified in the
            numpy/distutils/site.cfg file (section [blas_src]) or by setting
            the BLAS_SRC environment variable.
          self.calc_info()
        /tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/system_info.py:624: UserWarning:
            Lapack (http://www.netlib.org/lapack/) libraries not found.
            Directories to search for the libraries can be specified in the
            numpy/distutils/site.cfg file (section [lapack]) or by setting
            the LAPACK environment variable.
          self.calc_info()
        /tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/system_info.py:624: UserWarning:
            Lapack (http://www.netlib.org/lapack/) sources not found.
            Directories to search for the sources can be specified in the
            numpy/distutils/site.cfg file (section [lapack_src]) or by setting
            the LAPACK_SRC environment variable.
          self.calc_info()
        /usr/lib64/python3.4/distutils/dist.py:260: UserWarning: Unknown distribution option: 'define_macros'
          warnings.warn(msg)
        /usr/lib64/python3.4/distutils/dist.py:260: UserWarning: Unknown distribution option: 'python_requires'
          warnings.warn(msg)
        Traceback (most recent call last):
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 152, in save_modules
            yield saved
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 193, in setup_context
            yield
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 237, in run_setup
            DirectorySandbox(setup_dir).run(runner)
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 267, in run
            return func()
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 236, in runner
            _execfile(setup_script, ns)
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 46, in _execfile
            exec(code, globals, locals)
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/setup.py", line 394, in <module>
        
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/setup.py", line 386, in setup_package
        
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/core.py", line 169, in setup
          File "/usr/lib64/python3.4/distutils/core.py", line 148, in setup
            dist.run_commands()
          File "/usr/lib64/python3.4/distutils/dist.py", line 955, in run_commands
            self.run_command(cmd)
          File "/usr/lib64/python3.4/distutils/dist.py", line 974, in run_command
            cmd_obj.run()
          File "/usr/lib/python3.4/site-packages/setuptools/command/bdist_egg.py", line 151, in run
            self.run_command("egg_info")
          File "/usr/lib64/python3.4/distutils/cmd.py", line 313, in run_command
            self.distribution.run_command(command)
          File "/usr/lib64/python3.4/distutils/dist.py", line 974, in run_command
            cmd_obj.run()
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/command/egg_info.py", line 26, in run
          File "/usr/lib64/python3.4/distutils/cmd.py", line 313, in run_command
            self.distribution.run_command(command)
          File "/usr/lib64/python3.4/distutils/dist.py", line 974, in run_command
            cmd_obj.run()
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/command/build_src.py", line 148, in run
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/command/build_src.py", line 159, in build_sources
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/command/build_src.py", line 294, in build_library_sources
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/command/build_src.py", line 377, in generate_sources
          File "numpy/core/setup.py", line 675, in get_mathlib_info
            'pandas.tests.computation',
        RuntimeError: Broken toolchain: cannot link a simple C program
        
        During handling of the above exception, another exception occurred:
        
        Traceback (most recent call last):
          File "<string>", line 1, in <module>
          File "/tmp/pip-build-9jb46c5p/pandas/setup.py", line 743, in <module>
            **setuptools_kwargs)
          File "/usr/lib64/python3.4/distutils/core.py", line 108, in setup
            _setup_distribution = dist = klass(attrs)
          File "/usr/lib/python3.4/site-packages/setuptools/dist.py", line 268, in __init__
            self.fetch_build_eggs(attrs['setup_requires'])
          File "/usr/lib/python3.4/site-packages/setuptools/dist.py", line 313, in fetch_build_eggs
            replace_conflicting=True,
          File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 836, in resolve
            dist = best[req.key] = env.best_match(req, ws, installer)
          File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 1081, in best_match
            return self.obtain(req, installer)
          File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 1093, in obtain
            return installer(requirement)
          File "/usr/lib/python3.4/site-packages/setuptools/dist.py", line 380, in fetch_build_egg
            return cmd.easy_install(req)
          File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 645, in easy_install
            return self.install_item(spec, dist.location, tmpdir, deps)
          File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 675, in install_item
            dists = self.install_eggs(spec, download, tmpdir)
          File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 858, in install_eggs
            return self.build_and_install(setup_script, setup_base)
          File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 1086, in build_and_install
            self.run_setup(setup_script, setup_base, args)
          File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 1072, in run_setup
            run_setup(setup_script, args)
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 240, in run_setup
            raise
          File "/usr/lib64/python3.4/contextlib.py", line 77, in __exit__
            self.gen.throw(type, value, traceback)
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 193, in setup_context
            yield
          File "/usr/lib64/python3.4/contextlib.py", line 77, in __exit__
            self.gen.throw(type, value, traceback)
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 164, in save_modules
            saved_exc.resume()
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 139, in resume
            compat.reraise(type, exc, self._tb)
          File "/usr/lib/python3.4/site-packages/setuptools/compat.py", line 65, in reraise
            raise value.with_traceback(tb)
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 152, in save_modules
            yield saved
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 193, in setup_context
            yield
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 237, in run_setup
            DirectorySandbox(setup_dir).run(runner)
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 267, in run
            return func()
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 236, in runner
            _execfile(setup_script, ns)
          File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 46, in _execfile
            exec(code, globals, locals)
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/setup.py", line 394, in <module>
        
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/setup.py", line 386, in setup_package
        
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/core.py", line 169, in setup
          File "/usr/lib64/python3.4/distutils/core.py", line 148, in setup
            dist.run_commands()
          File "/usr/lib64/python3.4/distutils/dist.py", line 955, in run_commands
            self.run_command(cmd)
          File "/usr/lib64/python3.4/distutils/dist.py", line 974, in run_command
            cmd_obj.run()
          File "/usr/lib/python3.4/site-packages/setuptools/command/bdist_egg.py", line 151, in run
            self.run_command("egg_info")
          File "/usr/lib64/python3.4/distutils/cmd.py", line 313, in run_command
            self.distribution.run_command(command)
          File "/usr/lib64/python3.4/distutils/dist.py", line 974, in run_command
            cmd_obj.run()
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/command/egg_info.py", line 26, in run
          File "/usr/lib64/python3.4/distutils/cmd.py", line 313, in run_command
            self.distribution.run_command(command)
          File "/usr/lib64/python3.4/distutils/dist.py", line 974, in run_command
            cmd_obj.run()
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/command/build_src.py", line 148, in run
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/command/build_src.py", line 159, in build_sources
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/command/build_src.py", line 294, in build_library_sources
          File "/tmp/easy_install-j3aosykh/numpy-1.14.1/numpy/distutils/command/build_src.py", line 377, in generate_sources
          File "numpy/core/setup.py", line 675, in get_mathlib_info
            'pandas.tests.computation',
        RuntimeError: Broken toolchain: cannot link a simple C program
        /bin/bash: gcc: Kommando nicht gefunden.
        /bin/bash: gcc: Kommando nicht gefunden.
    well i guess i have some basic errors that cause the installation of panda via pip

    see this
    Code:
     RuntimeError: Broken toolchain: cannot link a simple C program

    look forward to hear from you
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,469
    Blog Entries
    2

    Default Re: the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

    Is your Python Panda from PyPi instead of an openSUSE repo?
    And if os, is your python setup tools from PyPi?
    May be a requirement or at a strong recommendation since it appears that your Python Pandas appears to be downloading from somewhere(I suspect not from an openSUSE repo).

    You may also want to consider downloading and running your entire python from PyPi instead of from openSUSE if you're downloading packages from PyPi... To do this, I'd recommend utilizing virtualenv and Pyenv to manage your virtualenv instances as described in the Development Forum thread starting with this post

    https://forums.opensuse.org/showthre...11#post2853711

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3

    Default Re: the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

    hello dear TSU

    i do not have much time now - so this answer is a very very short one!!! i have to leave house in only one minute!

    i guess so:

    Python Panda from PyPi instead of an openSUSE repo?
    well i guess so. - i entered pip install panda in the comandline (terminal)

    so this cannot be regarded as a repo-install.

    Quote Originally Posted by tsu2 View Post
    Is your Python Panda from PyPi instead of an openSUSE repo?
    And if os, is your python setup tools from PyPi?
    May be a requirement or at a strong recommendation since it appears that your Python Pandas appears to be downloading from somewhere(I suspect not from an openSUSE repo).


    You may also want to consider downloading and running your entire python from PyPi instead of from openSUSE if you're downloading packages from PyPi... To do this, I'd recommend utilizing virtualenv and Pyenv to manage your virtualenv instances as described in the Development Forum thread starting with this post

    https://forums.opensuse.org/showthre...11#post2853711

    TSU

    i will have a closer look at your recommendation .

    You may also want to consider downloading and running your entire python from PyPi instead of from openSUSE if you're downloading packages from PyPi... To do this, I'd recommend utilizing virtualenv and Pyenv to manage your virtualenv instances as described in the Development Forum thread starting with this post
    many any thanks for all your help

    i do not have much time now - so this answer is a very very short one!!! i have to leave house in only one minute!
    i will respond later...

    greetings
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

  4. #4
    Join Date
    Apr 2016
    Location
    North America
    Posts
    537

    Default Re: the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

    What is the output of:

    Code:
    zypper se -is gcc

  5. #5
    Join Date
    Feb 2016
    Location
    Berlin
    Posts
    357

    Default Re: the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

    just a note (i dont know your level of knowledge) - to get a full python development environment (with zero hassle) separate from the native python i installed anaconda distribution. If you go this route i can show how to seamlessly switch between environments.

  6. #6
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,469
    Blog Entries
    2

    Default Re: the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

    Quote Originally Posted by ndc33 View Post
    just a note (i dont know your level of knowledge) - to get a full python development environment (with zero hassle) separate from the native python i installed anaconda distribution. If you go this route i can show how to seamlessly switch between environments.
    Anaconda does a lot more than provide its own python, it also provides its own library of apps.
    The anaconda apps I'm a bit familiar with are some data analysis tools.

    On the other hand,
    My suggestion (to use a standard virtualenv plus "better" management tools) points to the official python repository with apps from the same repository (not a special collection of apps).
    If the pip tool is being used as described, the problem app is already from the official Python repo, so it should make some sense to use python and setup tools from the same source.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  7. #7
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,469
    Blog Entries
    2

    Default Re: the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

    Quote Originally Posted by ravas View Post
    What is the output of:

    Code:
    zypper se -is gcc
    Unless I'm missing something,
    The @OP is working only in python, not C.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  8. #8
    Join Date
    Apr 2016
    Location
    North America
    Posts
    537

    Default Re: the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

    Quote Originally Posted by tsu2 View Post
    Unless I'm missing something,
    The @OP is working only in python, not C.
    See the bottom of the error output.

    pip won't install dependencies outside of python packages on pypi.

  9. #9
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,469
    Blog Entries
    2

    Default Re: the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

    Quote Originally Posted by ravas View Post
    See the bottom of the error output.

    pip won't install dependencies outside of python packages on pypi.
    I interpret the C error only as a result of python setup errors... initially, various executables weren't found for whatever reason, so then the python install branched into a routine that was meant to eventually include C but even that python routine failed.

    So,
    It's a case of determining the earliest cause(s) of the cascade of errors... I think that until critical python errors are addressed you won't arrive at any late errors.

    But, we'll see what happens...

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  10. #10

    Default Re: the Installation of Python Pandas on OpenSuse 42.3 does not work correctly -

    hello dear all


    many thanks for the replies and the hints - here a quick output on the code .... that i shoud have runned in order to test the gcc - things...


    it starts with a hint that packman is too old ....!!?


    Code:
    Repository 'Packman Repository' ist veraltet. Sie können 'zypper refresh' als root ausführen, um es zu aktualisieren.
    Repository 'packman' ist veraltet. Sie können 'zypper refresh' als root ausführ
    en, um es zu aktualisieren.
    Repository 'openSUSE-Leap-42.3-Update' ist veraltet. Sie können 'zypper refresh' als root ausführen, um es zu aktualisieren.
    Repository-Daten werden geladen...
    Installierte Pakete werden gelesen...
    
    S  | Name            | Typ   | Version           | Arch   | Repository               
    ---+-----------------+-------+-------------------+--------+--------------------------
    i+ | libgcc_s1       | Paket | 7.2.1+r253435-3.2 | x86_64 | openSUSE-Leap-42.3-Update
    i+ | libgcc_s1-32bit | Paket | 7.2.1+r253435-3.2 | x86_64 | openSUSE-Leap-42.3-Update
    martin@linux-3645:~/dev/python>

    this above results i have got....

    what do they say here...!?
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •